Class | Fog::Compute::AWS::Vpcs
In: | lib/fog/aws/models/compute/vpcs.rb
Parent: | Fog::Collection

### Methods

all get new

### Public Class methods

new(attributes)

     Creates a new VPC

     AWS.vpcs.new

     ==== Returns

     Returns the details of the new VPC

>> AWS.vpcs.new

     <Fog::AWS::VPC::VPC
     id=nil,
     state=nil,
     cidr_block=nil,
     dhcp_options_id=nil
     tags=nil
     tenancy=nil
     >

### Public Instance methods

all(filters = filters)

     Returns an array of all VPCs that have been created

     AWS.vpcs.all

     ==== Returns

     Returns an array of all VPCs

>> AWS.vpcs.all

     <Fog::AWS::VPC::VPCs
     filters={}
     [
     <Fog::AWS::VPC::VPC
     id="vpc-12345678",
     TODO
     >
     ]
     >

get(vpc_id)

     Used to retrieve a VPC
     vpc_id is required to get the associated VPC information.

     You can run the following command to get the details:
     AWS.vpcs.get("vpc-12345678")

     ==== Returns

>> AWS.vpcs.get("vpc-12345678")

     <Fog::AWS::Compute::VPC
     id="vpc-12345678",
     TODO
     >

[Validate]